Package org.jfree.report.i18n

# Interface ResourceBundleFactory

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `DefaultResourceBundleFactory`

public interface ResourceBundleFactory extends Serializable
A resource bundle factory defines the locale for a report and is used to create resourcebundles.

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY`

## Method Summary

Modifier and Type
Method
Description
`ResourceBundle`
`getResourceBundle(Locale locale, String key)`
Creates a resource bundle for the given key.

## Field Details

### DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY

static final String DEFAULT_RESOURCE_BUNDLE_CONFIG_KEY

See Also:
  - Constant Field Values

## Method Details

### getResourceBundle

ResourceBundle getResourceBundle(Locale locale, String key)
Creates a resource bundle for the given key. How that key is interpreted depends on the used concrete implementation of this interface.

Parameters:
  `key` - the key that identifies the resource bundle
Returns:
  the created resource bundle
Throws:
  `MissingResourceException` - if no resource bundle for the specified base name can be found